[gtk/ci-docs] ci: Fix style check script



commit 8a6d5a77bbd16edf0c0a1f227521903c0eaa0a3c
Author: Emmanuele Bassi <ebassi gnome org>
Date:   Tue Feb 25 17:13:39 2020 +0000

    ci: Fix style check script
    
    Propagate the exit status from clang-format-diff.py to avoid it being
    overwritten by the `echo` at the end of the script.

 .gitlab-ci/run-style-check-diff.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
---
diff --git a/.gitlab-ci/run-style-check-diff.sh b/.gitlab-ci/run-style-check-diff.sh
index e6f54f93c6..35a1bb4a39 100755
--- a/.gitlab-ci/run-style-check-diff.sh
+++ b/.gitlab-ci/run-style-check-diff.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-set +e
+set -e
 
 # We need to add a new remote for the upstream master, since this script could
 # be running in a personal fork of the repository which has out of date branches.
@@ -13,8 +13,9 @@ git fetch upstream
 #
 # `${CI_MERGE_REQUEST_TARGET_BRANCH_NAME}` is only defined if we’re running in
 # a merge request pipeline; fall back to `${CI_DEFAULT_BRANCH}` otherwise.
-newest_common_ancestor_sha=$(diff --old-line-format='' --new-line-format='' <(git rev-list --first-parent 
upstream/${CI_MERGE_REQUEST_TARGET_BRANCH_NAME:-${CI_DEFAULT_BRANCH}}) <(git rev-list --first-parent HEAD) | 
head -1)
+newest_common_ancestor_sha=$(diff --old-line-format='' --new-line-format='' <(git rev-list --first-parent 
"upstream/${CI_MERGE_REQUEST_TARGET_BRANCH_NAME:-${CI_DEFAULT_BRANCH}}") <(git rev-list --first-parent HEAD) 
| head -1)
 git diff -U0 --no-color "${newest_common_ancestor_sha}" | .gitlab-ci/clang-format-diff.py -binary 
"clang-format" -p1
+exit_status=$?
 
 # The style check is not infallible. The clang-format configuration cannot
 # perfectly describe GTK’s coding style: in particular, it cannot align
@@ -32,3 +33,5 @@ echo "   https://gitlab.gnome.org/GNOME/gtk/blob/master/docs/CODING-STYLE";
 echo "Warnings from this tool can be ignored in favour of the documented "
 echo "coding style, or in favour of matching the style of existing"
 echo "surrounding code."
+
+exit ${exit_status}


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]